org.apache.xmlgraphics.image.loader.impl

## Interface PNGConstants

-     public interface PNGConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PNG_COLOR_GRAY`
    `static int` | `PNG_COLOR_GRAY_ALPHA`
    `static int` | `PNG_COLOR_PALETTE`
    `static int` | `PNG_COLOR_RGB`
    `static int` | `PNG_COLOR_RGB_ALPHA`
    `static int` | `PNG_FILTER_AVERAGE`
    `static int` | `PNG_FILTER_NONE`
    `static int` | `PNG_FILTER_PAETH`
    `static int` | `PNG_FILTER_SUB`
    `static int` | `PNG_FILTER_UP`
    `static long` | `PNG_SIGNATURE`

- - ### Field Detail

    - #### PNG_SIGNATURE

          static final long PNG_SIGNATURE

      See Also:
        Constant Field Values

    - #### PNG_COLOR_GRAY

          static final int PNG_COLOR_GRAY

      See Also:
        Constant Field Values

    - #### PNG_COLOR_RGB

          static final int PNG_COLOR_RGB

      See Also:
        Constant Field Values

    - #### PNG_COLOR_PALETTE

          static final int PNG_COLOR_PALETTE

      See Also:
        Constant Field Values

    - #### PNG_COLOR_GRAY_ALPHA

          static final int PNG_COLOR_GRAY_ALPHA

      See Also:
        Constant Field Values

    - #### PNG_COLOR_RGB_ALPHA

          static final int PNG_COLOR_RGB_ALPHA

      See Also:
        Constant Field Values

    - #### PNG_FILTER_NONE

          static final int PNG_FILTER_NONE

      See Also:
        Constant Field Values

    - #### PNG_FILTER_SUB

          static final int PNG_FILTER_SUB

      See Also:
        Constant Field Values

    - #### PNG_FILTER_UP

          static final int PNG_FILTER_UP

      See Also:
        Constant Field Values

    - #### PNG_FILTER_AVERAGE

          static final int PNG_FILTER_AVERAGE

      See Also:
        Constant Field Values

    - #### PNG_FILTER_PAETH

          static final int PNG_FILTER_PAETH

      See Also:
        Constant Field Values

Copyright 1999-2024 The Apache Software Foundation. All Rights Reserved.